var OPTION_SHOW = 1;
var ALWAYS_SHOW = 2;

var tileTypes = {};
tileTypes.floor = {"name":"Floor", "src":"sprites/floor.png", "value":"FLOOR"};
tileTypes.wall = {"name":"Wall", "src":"sprites/wall.png", "value":"WALL"};
tileTypes.door = {"name":"Door", "src":"sprites/door.png", "value":"DOOR"};
tileTypes.start = {"name":"Start", "src":"sprites/start.png", "value":"START"};
tileTypes.exit = {"name":"Exit", "src":"sprites/exit.png", "value":"EXIT"};
tileTypes.breakablewall = {"name":"Breakable Wall", "src":"sprites/breakablewall.png", "value":"BREAKABLEWALL"};
tileTypes.floortrap = {"name":"Floor Trap", "src":"sprites/floortrap.png", "value":"FLOORSPIKE"};
tileTypes.walltrap = {"name":"Wall Trap", "src":"sprites/walltrap.png", "value":"WALLDART"};
tileTypes.food = {"name":"Food", "src":"sprites/food.png", "value":"FOOD"};
tileTypes.food.numberStepper = ALWAYS_SHOW;
tileTypes.gold = {"name":"Gold", "src":"sprites/gold.png", "value":"GOLD"};
tileTypes.gold.numberStepper = ALWAYS_SHOW;
tileTypes.key = {"name":"Key", "src":"sprites/key.png", "value":"KEY"};
tileTypes.potion = {"name":"Potion", "src":"sprites/potion.png", "value":"POTION"};
tileTypes.barrel = {"name":"Barrel", "src":"sprites/barrel.png", "value":"BARREL"};
tileTypes.barrel.optionsLabel = "Contents";
tileTypes.barrel.options = [
				{'name':'Empty', 'value':'', 'showLevel':'false'},
				{'name':'Food', 'value':'FOOD', 'showLevel':'true'},
				{'name':'Gold', 'value':'GOLD', 'showLevel':'true'},
				{'name':'Key', 'value':'KEY', 'showLevel':'true'},
				{'name':'Potion', 'value':'POTION', 'showLevel':'true'}
				];
tileTypes.barrel.numberStepper = OPTION_SHOW;
tileTypes.chest = {"name":"Chest", "src":"sprites/chest.png", "value":"CHEST"};
tileTypes.chest.optionsLabel = "Contents";
tileTypes.chest.options = [
				{'name':'Empty', 'value':'', 'showLevel':'false'},
				{'name':'Food', 'value':'FOOD', 'showLevel':'true'},
				{'name':'Gold', 'value':'GOLD', 'showLevel':'true'},
				{'name':'Potion', 'value':'POTION', 'showLevel':'true'}
				];
tileTypes.chest.numberStepper = OPTION_SHOW;
tileTypes.spawner = {"name":"Enemy Spawner", "src":"sprites/spawner.png", "value":""};
tileTypes.spawner.optionsLabel = "Enemy Type";
tileTypes.spawner.options = [
				{'name':'Ghost', 'value':'GHOST'},
				{'name':'Thug', 'value':'THUG'},
				{'name':'Demon', 'value':'DEMON'}
				];
tileTypes.spawner.numberStepper = ALWAYS_SHOW;
tileTypes.death = {"name":"Death Spawn Location", "src":"sprites/death.png", "value":"DEATH"};
tileTypes.lobber = {"name":"Lobber Spawn Location", "src":"sprites/lobber.png", "value":"LOBBER"};