
//Create the program
var game = {}; 

//load in all of the scripts
window.addEventListener("load",function(){
	console.log("loading"); 
	Modernizr.load([{
		load:[
		//place all scripts that needed to be loaded in here
		"sizzle.js",
		"dom.js",
		"../core/libraries/three.beautified.js",
		"../core/libraries/jquery-1.8.3.min.js",
		"../core/libraries/THREEx.WindowResize.js",
		"../core/utilities/math_extensions.js",
		"../core/utilities/highScoreTable.js",
		"../core/lightPool.js",
		"../core/audio/sound_clip.js",
		"../core/audio/audio.js",
		"../core/loaders/mapLoader.js",
		"../core/input/gamepad.js",
		"../core/input/input.js",
		"../core/engine.js",
		"../core/utilities/consoleExtensions.js",
		"../core_components/camera_tracker.js", 
		"../core_components/audioPlayer.js",
		"../core_components/animator.js", 
		"../core_components/animator2.js", 
		"../core_components/Collidable.js", 
		"../core_components/floorspike.js",
		"../core_components/playerMovement.js",
		"../core_components/enemyMovement.js",
		"../core_components/projectile.js",
		"../core_components/collisionManager.js",
		"../core_components/collider.js",
		"../core_components/purgatory.js",
		"../core_components/playerChar.js",
		"../core_components/enemyChar.js",
		"../core_components/playerShooter.js",
		"../core_components/melee.js",
		"../core/stats.js",
		"../core/enemy.js",
		"../core_components/Flicker.js",
		"../core_components/PlayerSpawner.js",
		"../core_components/EnemySpawner.js",
		"../core_components/food.js",
		"../core_components/treasure.js",
		"../core_components/MagicObj.js",
		"../core_components/PlayerMagic.js",
		"../shared_assets/assetList.js",
		"../shared_assets/helvetiker_bold.typeface.js",
		"../core_components/exit.js",
		"../core_components/key.js",
		"../core_components/door.js",
		"../core_components/potion.js",
		"../core_components/particles.js",
		"../core_components/RigidBody.js",
		"../core_components/creatureAnimation.js",
		"main.js"
		],
		complete: function(){
			//start up the program 
			game.main.init(); 
			}
		}
	])
}, false); 
