//player
/*
*A player object. Just listens for the global left/right/up/down variables and moves accordingly right now.
*@author Aleks Litynski
*
*/
function Player()
{
	this.type = "Player";
	
	this.prevMove = {};
	
	this.update = function()
	{
	
		if(this.gameObject.getComponent("collider").colliding)
		{
			this.gameObject.position.x -= this.prevMove.x;
			this.gameObject.position.y -= this.prevMove.y;
		}
		this.prevMove.x = 0;
		this.prevMove.y = 0;
	
		var speed = this.gameObject.getComponent("Stats").getSpeed();
		
		if(ENGINE.Input.state('left')) this.prevMove.x -= speed;
		if(ENGINE.Input.state('right')) this.prevMove.x += speed;
		if(ENGINE.Input.state('up')) this.prevMove.y += speed;
		if(ENGINE.Input.state('down')) this.prevMove.y -= speed;
		
		this.gameObject.position.x += this.prevMove.x;
		this.gameObject.position.y += this.prevMove.y;
	};


};


