//enemy
/*
*This is a collection of stats that most living entities would have. Feel free to build on it!
*@author Aleks Litynski
*
*@param {speed} The spaces this object will move per second. 
*@param {health} The health this game object has. Will log out a message if less than 0.
*/
function Stats(speed, health)
{
	this.type = "Stats";
	this.health = health;
	
	
	this.setSpeed = function(newSpeed)
	{
		speedPerSecond = newSpeed;
	}
	this.getSpeed = function()
	{
		return speedPerFrame;
	}
	var speedPerSecond = speed;
	var speedPerFrame = 0;
	var timeOfLastUpdate;	
	function updateSpeed()
	{
		var date = new Date();
		date = date.getTime();
		var secondsSinceLastUpdate = date - timeOfLastUpdate;
		secondsSinceLastUpdate /= 1000;		
		timeOfLastUpdate = date;
		
		speedPerFrame = speedPerSecond * secondsSinceLastUpdate;
	};
	
	this.update = function()
	{
		updateSpeed();
		if(this.health <= 0)
		{
			this.die();
		}
	};
	
	this.init = function()
	{
		var date = new Date();
		timeOfLastUpdate = date.getTime();
	};
	
	this.die = function()
	{
		console.log("A " + this.gameObject.constructor.name + " died " + parent);
	};

};
