var melee = function(ch){

	this.type = "melee";
	this.delta = 0;
	this.strength;
	this.character = ch;
	
	//The following code can be implemented in the playerMovement.js update method since it already checks for a player's collision
	this.update = function(gameTime) {
		
		
			//If the player is colliding with something
			if(this.gameObject.getComponent("collider").colliding == true)
			{
				var collider = this.gameObject.getComponent("collider");
				//Check all potential things to be colliding with
				for(var i = 0; i < collider.contacts.length; i++)
				{
					var contact = collider.contacts[i];
					
					if(this.character == "player")
					{
						
						//If colliding with an enemy, assumes that all enemies have a basic component that identifies them as such
						//Avoid melee with breakable walls and spawners
						if(contact.otherCollider.gameObject.getComponent("enemyChar") && contact.otherCollider.gameObject.getComponent("melee"))
						{
						
							var enemy = contact.otherCollider.gameObject.getComponent("enemyChar");
							
							
							if(enemy.enemyClass == "Ghost")
							{
								this.gameObject.getComponent("playerChar").takeDamage(enemy.strength);
								this.gameObject.getComponent("playerChar").addScore(enemy.score);								
								//console.log(this.gameObject.getComponent("playerChar").score);
								//console.log(this.gameObject.getComponent("playerChar").playerClass);
								enemy.takeHit(3);
							}
							else
							{
								if(!isNaN(Number(gameTime.deltaTime()))){
									this.delta += gameTime.deltaTime();	
								}
								if(this.delta > .3)
								{
									//console.log(this.gameObject.getComponent("playerChar").strength);
									enemy.takeHit(this.gameObject.getComponent("playerChar").strength);
									this.delta = 0;
								}
							}

						}
						

					}
					else if(this.character == "enemy")
					{

						if(contact.otherCollider.gameObject.getComponent("playerChar"))
						{
							var player = contact.otherCollider.gameObject.getComponent("playerChar");
							
							if(!isNaN(Number(gameTime.deltaTime()))){
								this.delta += gameTime.deltaTime();	
							}
							if(this.delta > .1)
							{
								this.gameObject.components.creatureAnimation.playFire();
								player.takeDamage(this.gameObject.getComponent("enemyChar").strength);
								this.delta = 0;
							}
						}

					}
				}
			}
	};
		
	this.destroy = function() {
		this.gameObject.removeComponent(this.type);
	};
}