


var playerShooter = function (fireCntrl){
			

			this.type = 'playerShooter'; // Definition Required by all component objects
			this.lastV;
			this.lastH;
			this.lastKey;
			this.timer = 0;
			this.movement;
			this.stats;
			this.fireSpeed = 10;
			this.fireControl = fireCntrl;
			this.bulletScale = new THREE.Vector3(.25,.25,.25);
			
			
			this.init = function(){
			
				if(this.gameObject.getComponent("playerMovement"))
					this.movement = this.gameObject.getComponent("playerMovement");
				else if(this.gameObject.getComponent("enemyMovement"))
					this.movement = this.gameObject.getComponent("enemyMovement");
					
				if(this.gameObject.getComponent("playerChar"))
					this.stats = this.gameObject.getComponent("playerChar");
				else if(this.gameObject.getComponent("enemyChar"))
					this.stats = this.gameObject.getComponent("enemyChar");
					
			};
			
			this.destroy = function(){
				this.gameObject.removeComponent(this.type);
			};
			
			this.update = function()
			{
				
				if(this.timer == 0)
				{
					//If player hits fire button and the player does not have an active projectile
					if(ENGINE.Input.pressed(this.fireControl))
					{
						this.gameObject.components.creatureAnimation.playFire(function()
						{
							var rot = this.gameObject.rotation.clone();
							
						
							
							var geometry = new THREE.SphereGeometry(.5);
							
							var c = new THREE.Color(0x800080);
							
							switch(this.gameObject.components.playerShooter.stats.color){
								case 0:
									c = new THREE.Color(0xff0000);
									break;
								case 1:
									c = new THREE.Color(0x00ff00);
									break;
								case 2:
									c = new THREE.Color(0x0000ff);
									break;
								case 3:
									c = new THREE.Color(0xffff00);
									break;
							}
							
							this.pClassNum;
							
							var material2 = new THREE.MeshPhongMaterial({ambient: 0xcccccc, color: 0x00ffff});
						
							var bullet = new THREE.Mesh(geometry, material2);
							
							bullet.scale = this.gameObject.components.playerShooter.bulletScale;
							
							switch(this.gameObject.components.playerChar.pClassNum)
							{
								case 0://warrior
									bullet = new THREE.Mesh(ENGINE.currentScene.assets.meshes["axe"].geometry, new THREE.MeshLambertMaterial( {map: ENGINE.currentScene.assets.textures["axe"], morphTargets: true } ) );
									bullet.scale.multiplyScalar(0.03);
								break;
								case 1://valkyrie
									bullet = new THREE.Mesh(ENGINE.currentScene.assets.meshes["sword"].geometry, new THREE.MeshLambertMaterial( {map: ENGINE.currentScene.assets.textures["sword"], morphTargets: true } ) );
									bullet.scale.multiplyScalar(0.04);
								break;
								case 3://archer
									bullet = new THREE.Mesh(ENGINE.currentScene.assets.meshes["arrow"].geometry, new THREE.MeshLambertMaterial( {map: ENGINE.currentScene.assets.textures["arrow"], morphTargets: true } ) );
									bullet.scale.multiplyScalar(0.05);
									bullet.rotation = new THREE.Vector3(bullet.rotation.x + (90*Math.PI/180),bullet.rotation.y,bullet.rotation.z);
								break;
							}
							
							
							bullet.name='bullet';
							
							
							var xDir = Math.sin(rot.y);
							var zDir = Math.cos(rot.y);
							
							bullet.position.x = this.gameObject.position.x + xDir;
							bullet.position.z = this.gameObject.position.z + zDir;
							bullet.position.y = .3;
							
							
							
							
							bullet.addComponent(new projectile(this.gameObject, this.gameObject.components.playerShooter.stats.shotStrength, new THREE.Vector3(xDir*this.gameObject.components.playerShooter.fireSpeed,0,zDir*this.gameObject.components.playerShooter.fireSpeed)));
							
							bullet.addComponent(new collider("rectangle",.8,.8,.8,.8, new Array("projectile", "playerChar")));
							bullet.addComponent(new RigidBody());
							
							//var light = new THREE.PointLight(0x800080);
							var light = ENGINE.LightPool.GetNewLight(LIGHT_TYPES.POINT);
							if(light!=null){
								light.color = c;
								light.position.x = 0;
								light.position.y = 3;
								light.position.z = 0;
								light.name = bullet.name + " light";
								light.intensity = 0.33;
								light.distance = 10;
								console.log("making :"+light.name);
								console.log(light);
								bullet.add(light);
							}
							
							var damage = this.gameObject.getComponent("enemyMovement");//WTF is this?/
							
							
							this.gameObject.parent.add(bullet);
							this.gameObject.components.playerShooter.timer = 14 * this.gameObject.components.playerShooter.stats.shotFireRate;
							
							//Call on hit audioPlayer event if audio is on
							var audioPlayer = this.gameObject.components.AudioPlayer;
							
							if(audioPlayer!=null)
							{
								if(audioPlayer.ready)
								{
									audioPlayer.onattack(null);
								}
							}
							
							
						});
					}
				}
				else
					this.timer--;
				
			}
		};