function OnLoad()
{

	
	var container = document.getElementById("container");
	ENGINE.start(800, 500, container);
	ENGINE.currentScene = new ENGINE.Scene();
	


	// Add key-action bindings
	ENGINE.Input.addBind('left', ENGINE.Input.KEY.LEFT_ARROW);
	ENGINE.Input.addBind('right', ENGINE.Input.KEY.RIGHT_ARROW);
	ENGINE.Input.addBind('up', ENGINE.Input.KEY.UP_ARROW);
	ENGINE.Input.addBind('down', ENGINE.Input.KEY.DOWN_ARROW);
	ENGINE.Input.addBind('space', ENGINE.Input.KEY.SPACE);
	
	var camera = new THREE.PerspectiveCamera(45, container.offsetWidth/container.offsetHeight, 0.1, 10000);//angle, aspect ratio, inner cutoff, outter cutoff
	camera.position.y = -10;
    camera.position.z = 10;
    camera.position.x = 5;
	camera.rotation.x = 45 * (Math.PI / 180);
	cameraMount = new THREE.Object3D();
	cameraMount.position.set(0,0,0);
	cameraMount.add(camera);
	cameraMount.rotation.z = 45 * (Math.PI / 180);
	ENGINE.currentScene.add(cameraMount);
	ENGINE.currentScene.mainCamera = camera;
	
	var sun = new THREE.PointLight(0xCCE01B);
	sun.position.x = 0;
	sun.position.y = 10;
	sun.position.z = 0;
	sun.intensity = 20;
	sun.distance = 40;
	ENGINE.currentScene.add(sun);
	
	
	
	
	var map = new Map();
	map.loadMap("../shared_assets/newMap.json");
};

