//DO NOT DUMP UNGODLY AMOUNTS OF CODE IN HERE. PUT IN ONE HOOK FOR AN EXTERNAL FILE.


game.main  = (function(){
	
	var dom = game.dom, 
	$ = dom.$; 
	var start = true; 
	var gameOver = false;//I don't care shut up.
	var purgatory;
	
	//The onload function from engine_test.html 
	var init = function(){
	
	showScreen("intro-screen"); 
	
	/* adding all the event listeners*/ 
	
	var button = document.getElementById("start-btn"); 
	button.addEventListener("click", openMenu); 
	
	button = document.getElementById("instructions-btn"); 
	button.addEventListener("click", openMenu); 
	
	button = document.getElementById("credits-btn"); 
	button.addEventListener("click", openMenu); 
	
	button = document.getElementById("options-btn"); 
	button.addEventListener("click", openMenu); 
	
	button = document.getElementById("options-close-btn"); 
	button.addEventListener("click", openMenu); 
	
	button = document.getElementById("instruct-close-btn"); 
	button.addEventListener("click", openMenu); 
	
	button = document.getElementById("credits-close-btn"); 
	button.addEventListener("click", openMenu); 
	
	}; 
	function openMenu(event){
		console.log(event); 
		console.log(event.srcElement.innerText); 
		if(event.srcElement.innerText =="Instructions")
		{
			showScreen("instruction-screen"); 
			console.log("INSTRUCTIONS"); 
		}
		else if(event.srcElement.innerText =="Credits")
		{
			showScreen("credits-screen"); 
			console.log("CREDITS"); 
		}
		else if(event.srcElement.innerText =="Options")
		{
			showScreen("options-screen"); 
			console.log("OPTIONS"); 
		}
		else if(event.srcElement.innerText =="Close")
		{
			showScreen("intro-screen"); 
			console.log("INTRO"); 
		}
		else if(event.srcElement.innerText =="Start") 
		{
			showScreen("loading-screen");
			setTimeout(startGame,10); 
			Audio.StopSound(Audio.LevelSoundEnums[0].MUSIC);
			//startGame(); 
		}
		
	}; 
	
	function startGame(){
		
		
		// Progress Bar is at 0 
		var container = document.getElementById("container");
		ENGINE.start(960, 540, container,true);
		ENGINE.currentScene = new ENGINE.Scene();
		
		//Audio.currentLevel = 1;
		//Audio.LoadLevelSound(Audio.currentLevel);
		
		// Progress Bar is at 0 
		// Updating every callback
		ENGINE.currentScene.loadAssets(assetList); // assetList is in the shared_assets folder in a file called "assetList"  /*,undefined,updateProgressBar*/
		
		
		var camera = new THREE.PerspectiveCamera(60, 960/540, 0.1, 100);
		//console.log(window.innerWidth);
		camera.name = "camera";
		camera.position.z = 500;
		ENGINE.currentScene.add(camera);
		ENGINE.currentScene.mainCamera = camera;
		camera.addComponent (new CameraTracker());
		camera.getComponent("CAMERTRACKER_CP").init();
		
		
		// Progress bar at 100
		var mapLoader = new Map();
		ENGINE.currentScene.curLevel = 1;
		mapLoader.loadMap("../Levels/Level1.json");
		//mapLoader.loadMap("../Levels/Level2.json");
		//mapLoader.loadMap("../Levels/Level3.json");
		
		
		// TODO: MOVE
		var width = 960;
		var height = 540;
		
		//Make the Light Pool for the scene
		ENGINE.LightPool = new LightsPool();
		
		// Add Effects
		// effects TODO ABSTRACT THIS
		var scale = 1.0;
		var effectSSAO = new THREE.ShaderPass( THREE.SSAOShader );
		effectSSAO.uniforms[ 'size' ].value.set( Math.floor( scale * width ), Math.floor( scale * height ) );
		effectSSAO.uniforms[ 'cameraNear' ].value = camera.near;
		effectSSAO.uniforms[ 'cameraFar' ].value = camera.far;
		effectSSAO.uniforms[ 'aoClamp' ].value = 0.5;
		//effectSSAO.uniforms[ 'lumInfluence' ].value = 2;
		//effectSSAO.uniforms[ 'onlyAO' ].value = 1;
		effectSSAO.material.defines = { "FLOAT_DEPTH": true };
		ENGINE.renderer.addEffect( effectSSAO, "tDepth" );
		
		ENGINE.Input.addBind('keyboardLeft1', ENGINE.Input.KEY.A);
		ENGINE.Input.addBind('keyboardRight1', ENGINE.Input.KEY.D);
		ENGINE.Input.addBind('keyboardUp1', ENGINE.Input.KEY.W);
		ENGINE.Input.addBind('keyboardDown1', ENGINE.Input.KEY.S);
		ENGINE.Input.addBind('keyboardFire1', ENGINE.Input.KEY.SPACE);
		ENGINE.Input.addBind('keyboardMagic1', ENGINE.Input.KEY.E);
		ENGINE.Input.addBind('keyboardRespawn1', ENGINE.Input.KEY.R);
		
		ENGINE.Input.addBind('kill', ENGINE.Input.KEY.K);
		
		ENGINE.Input.addBind('keyboardLeft2', ENGINE.Input.KEY.LEFT_ARROW);
		ENGINE.Input.addBind('keyboardRight2', ENGINE.Input.KEY.RIGHT_ARROW);
		ENGINE.Input.addBind('keyboardUp2', ENGINE.Input.KEY.UP_ARROW);
		ENGINE.Input.addBind('keyboardDown2', ENGINE.Input.KEY.DOWN_ARROW);
		ENGINE.Input.addBind('keyboardFire2', ENGINE.Input.KEY.NUMPAD_0);
		ENGINE.Input.addBind('keyboardMagic2', ENGINE.Input.KEY.NUMPAD_1);
		ENGINE.Input.addBind('keyboardRespawn2', ENGINE.Input.KEY.NUMPAD_2);
		
		/*
		 * Left and up are assigned to 0 for all of these because each analog axis returns values
		 * between 1 and 0
		 */
		ENGINE.Input.addBind('keyboardRespawn2', ENGINE.Input.KEY.NUMPAD_2);
		
		ENGINE.Input.addBind('gamepadLeft1', 0);
		ENGINE.Input.addBind('gamepadRight1', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.AXES.LEFT_ANALOG_HOR, 1));
		ENGINE.Input.addBind('gamepadUp1', 0);
		ENGINE.Input.addBind('gamepadDown1', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.AXES.LEFT_ANALOG_VERT, 1));
		ENGINE.Input.addBind('gamepadFire1', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.FACE_1, 1));
		ENGINE.Input.addBind('gamepadMagic1', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.FACE_2, 1));
		ENGINE.Input.addBind('gamepadRespawn1', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.START, 1));
		
		ENGINE.Input.addBind('gamepadLeft2', 0);
		ENGINE.Input.addBind('gamepadRight2', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.AXES.LEFT_ANALOG_HOR, 2));
		ENGINE.Input.addBind('gamepadUp2', 0);
		ENGINE.Input.addBind('gamepadDown2', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.AXES.LEFT_ANALOG_VERT, 2));
		ENGINE.Input.addBind('gamepadFire2', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.FACE_1, 2));
		ENGINE.Input.addBind('gamepadMagic2', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.FACE_2, 2));
		ENGINE.Input.addBind('gamepadRespawn2', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.START, 2));
		
		ENGINE.Input.addBind('gamepadLeft3', 0);
		ENGINE.Input.addBind('gamepadRight3', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.AXES.LEFT_ANALOG_HOR, 3));
		ENGINE.Input.addBind('gamepadUp3', 0);
		ENGINE.Input.addBind('gamepadDown3', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.AXES.LEFT_ANALOG_VERT, 3));
		ENGINE.Input.addBind('gamepadFire3', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.FACE_1, 3));
		ENGINE.Input.addBind('gamepadMagic3', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.FACE_2, 3));
		ENGINE.Input.addBind('gamepadRespawn3', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.START, 3));
		
		ENGINE.Input.addBind('gamepadLeft4', 0);
		ENGINE.Input.addBind('gamepadRight4', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.AXES.LEFT_ANALOG_HOR, 4));
		ENGINE.Input.addBind('gamepadUp4', 0);
		ENGINE.Input.addBind('gamepadDown4', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.AXES.LEFT_ANALOG_VERT, 4));
		ENGINE.Input.addBind('gamepadFire4', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.FACE_1, 4));
		ENGINE.Input.addBind('gamepadMagic4', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.FACE_2, 4));
		ENGINE.Input.addBind('gamepadRespawn4', ENGINE.Input.GAMEPAD.getBindingKey(ENGINE.Input.GAMEPAD.BUTTONS.START, 4));
		
		// LIGHTS TESTING
		
		const SHADOW_MAP_WIDTH = 2048;
		const SHADOW_MAP_HEIGHT = 2048;
		
		var angle =  Math.PI * 0.25;
		var intensity = .1;
		var shadowCameraFov = 50;

		light1 = new THREE.DirectionalLight( 0xffffff, intensity);

		
		light1.position.set( 10, 10, 10 );
		light1.target.position.set( 0, 0, 0 );
		ENGINE.currentScene.scene.add( light1.target );

		light1.castShadow = true;

		light1.shadowCameraNear = 0.1;
		light1.shadowCameraFar = camera.far;
		light1.shadowCameraFov = shadowCameraFov;

		light1.shadowBias = 0.005;
		light1.shadowDarkness = 0.75;

		light1.shadowMapWidth = SHADOW_MAP_WIDTH;
		light1.shadowMapHeight = SHADOW_MAP_HEIGHT;

		ENGINE.currentScene.scene.add( light1 );
		
		//Audio.PlaySound(Audio.LevelSoundEnums[Audio.currentLevel-1].POS_TONE);
		//Audio.PlaySound(Audio.LevelSoundEnums[Audio.currentLevel-1].WELCOME);
		showScreen("game-screen"); 
		
	};
	
	function updateProgressBar()
	{
		console.log("Loading " + ENGINE.assetsLoaded / ENGINE.totalAssets * 100 + "%");
	}
	
	function getPurgatory()
	{
		if(ENGINE.currentScene.scene.getChildByName("purgatory"))
			return ENGINE.currentScene.scene.getChildByName("purgatory").getComponent("purgatory");
	}
	
	function updatePlayerInfo()
	{
		//player 1 update 
		var infoPanels = document.getElementById("playerInfo").getElementsByClassName("playerInfoPanel"); 
		var selectPanel = document.getElementById("playerSelect").getElementsByClassName("playerSelectPanel"); 
		
		var someoneAlive = true;
		var numAlive = 0;
		var chars = 0;
		
		var won = false;
		var players = new Array();
		
		if(!purgatory)
			purgatory = getPurgatory();
		
		if(purgatory)
		{
			if(!gameOver)
			{
				//set to 2 for milestone
				for(var i =0; i<purgatory.souls.length; i++) 
				{		
					//will break when player dies and reference to player object is removed.
					if(start == false) 
					{
						document.getElementById("playerInfo").style.display = "none"; 
						//infoPanels.style.display = "none"; 
					}
					else
					{
						var currentPlayer = purgatory.souls[i].components["playerChar"];
						
						document.getElementById("playerSelect").style.display = "none"; 
						if(currentPlayer!=null)
						{
							chars++;
							
							if(currentPlayer.won)
							{
								//console.log("won");
								won = true;
								gameOver = true;
								break;
							}
							var type =  infoPanels[i].getElementsByClassName("name")[0]; 
							var value = currentPlayer.playerClass; 
							type.innerText =  value;  
							
							var health = infoPanels[i].getElementsByClassName("health")[0]; 
							value = currentPlayer.health; 
							
							if(currentPlayer.health > 0)
							{
								numAlive++;
								//console.log(numAlive);
							}
							
							health.innerText =  value; 
							
							var score = infoPanels[i].getElementsByClassName("score")[0]; 
							value = currentPlayer.score;
							score.innerText =  value; 
							
							var keys = infoPanels[i].getElementsByClassName("keys")[0]; 
							value = currentPlayer.keys;
							keys.innerText =  value; 
							
							var potions = infoPanels[i].getElementsByClassName("potions")[0]; 
							value = currentPlayer.potions;
							potions.innerText =  value; 

						}
						else
						{
							
						}
					}
				}
				
				if(won)
					endGame(true, players);
					
				else
				{
				
					if(chars > 0 && numAlive == 0)
					{
						someoneAlive = false;
						//gameOver = true;
					}
					
					if(!someoneAlive)
						endGame(false);
				}
			
			}
		}
		
		//console.log(numAlive);
		
		
		
	}
	
	function endGame(win) 
	{
		var result = document.getElementById("result"); 
		if(win == true) 
		{
			//console.log("win");
			var str = "";
			var scores = new Array();
			var highestIndex = 0;
			var highestScore = 0;
			for(var i = 0; i < purgatory.souls.length; i++)
			{
				str += "\n\n Player " + (i+1) + ": " + purgatory.souls[i].components["playerChar"].score;
			}
			result.innerText = "YOU WIN!" + str;
		} 
		else
		{
			result.innerText = "YOU DIED"; 
		}
		showScreen("end-screen"); 
	}
	
	function showScreen(screenId){
		var numScreens = $("#game .screen.active").length;
		var activeScreen; 
		for(var i =0; i<numScreens;i++) 
		{
			activeScreen = $("#game .screen.active")[0];
			if(activeScreen){
				dom.removeClass(activeScreen,"active"); 
			}
		}
		var screen = $('#' + screenId)[0]; 
		if(screenId == "options-screen" || screenId =="instruction-screen") 
		{
			var mainScreen = $('#' + "intro-screen")[0];
			dom.addClass(mainScreen,"active"); 
		} 

		dom.addClass(screen, "active");	
			
	};
	return{
		init:init,
		updatePlayerInfo:updatePlayerInfo
	};
})(); 
