/** @namespace Math 
 *	@desc Additional functionality to the Math namespace.
 */

/**
 *	Converts an angle from radians to degrees.
 *	@param {Number} angle The angle in radians.
 *	@returns {Number} The angle in degrees.
 */
Math.toDegrees = function(angle){ return angle*180/Math.PI;};

/**
 *	Converts an angle from defrees to radians.
 *	@param {Number} angle The angle in degrees.
 *	@returns {Number} The angle in radians.
 */
Math.toRadians = function(angle){ return angle*Math.PI/180;};