// Component for light flicker

var Flicker = function(offset, speed, amplitude, base){

	this.type = "Flicker";
	var t = offset;
	var speed = speed;
	var b = 0;
	var amp = 1;
	if(amp !== undefined)
	{
		amp = amplitude;
	}
	if(base !== undefined)
	{
		b = base;
	}

	/*
		Updates the current state of the component
	*/
	this.update = function(gameTime) {
		
		t += ENGINE.GameTime.deltaTime();
		this.gameObject.intensity = b + amp*Math.abs(this.organic2(t*speed));
	};

	// http://codepen.io/vorg/full/Aqyre
	//http://www.dapj.com/gadgets/oscilloscope
	this.organic1 = function(t)
	{
		return Math.cos(Math.sin(t*3))*Math.sin(t*0.2);
	}
	
	// flicker
	this.organic2 = function(t)
	{
		return Math.cos(Math.sin(t)*Math.tan(t+Math.PI)*(Math.PI/8));
	}
}
