// Rotate Component
var rotateTranslateComponent = function ()
{
	this.type = 'RotateXY'; // Definition Required by all component objects
	var SPEED = Math.toRadians(30);
	
	this.init = function(){
		alert('RotateXY: init called');
	};
	
	this.destroy = function(){
		alert('RotateXY: destroy called');
	};
	
	this.update = function()
	{
		if(ENGINE.Input.state('left'))
		{
			this.gameObject.rotation.z += ENGINE.GameTime.deltaTime() *SPEED;
			this.gameObject.position.x += ENGINE.GameTime.deltaTime() *-SPEED * 10;
		}
		if(ENGINE.Input.state('right'))
		{
			this.gameObject.rotation.z += ENGINE.GameTime.deltaTime() *-SPEED;
			this.gameObject.position.x += ENGINE.GameTime.deltaTime() *SPEED * 10;
		}
		if(ENGINE.Input.state('up'))
		{
			this.gameObject.rotation.x += ENGINE.GameTime.deltaTime() * -SPEED;
			this.gameObject.position.z += ENGINE.GameTime.deltaTime() * -SPEED * 10;
		}
		if(ENGINE.Input.state('down'))
		{
			this.gameObject.rotation.x += ENGINE.GameTime.deltaTime() * SPEED;
			this.gameObject.position.z += ENGINE.GameTime.deltaTime() * SPEED * 10;
		}
		if(ENGINE.Input.pressed('space'))
		{
			this.gameObject.position.z -= 1;
		}
		if(ENGINE.Input.released('space'))
		{
			this.gameObject.position.z += 1;
		}
	}
};