var exit = function(){
	this.type = "exit"; 
	this.cm;
	

	this.init = function(){
		this.cm = ENGINE.currentScene.scene.getChildByName("collisionManager");
		this.cm = this.cm.getComponent("collisionManager");
	};	
	
	this.update = function(gameTime) {		
	
		if(this.gameObject.getComponent("collider") != null)
		{
			if(this.gameObject.getComponent("collider").colliding == true)
			{
				var collider = this.gameObject.getComponent("collider");
				for(var i = 0; i < collider.contacts.length; i++)
				{
					var contact = collider.contacts[i];
					
					if(contact.otherCollider.gameObject.getComponent("playerChar"))
					{
						//Get the player who collided
						var ch = contact.otherCollider.gameObject.getComponent("playerChar");
						var players = ENGINE.currentScene.scene.getComponentsInChildren("playerChar");
						//console.log(players);
						this.NextLevel(players);
						
						break;
					}
					
				}
			}
			
		}
	
	};		
	
	this.NextLevel = function(players)
	{
		
		var playerChars = players;

		//console.log(players);
		ENGINE.currentScene.curLevel++;
		var oldScene = ENGINE.currentScene;
		if (ENGINE.currentScene.curLevel < 4)
		{
			ENGINE.currentScene = new ENGINE.Scene();
			ENGINE.currentScene.curLevel = oldScene.curLevel;
			var camera = new THREE.PerspectiveCamera(60, 960/540, 0.1, 10000);
		
			camera.name = "camera";
			camera.position.z = 500;
			ENGINE.currentScene.add(camera);
			ENGINE.currentScene.mainCamera = camera;
			camera.addComponent (new CameraTracker());
			camera.getComponent("CAMERTRACKER_CP").init();
			
			ENGINE.currentScene.loadAssets(assetList, oldScene);
			var mapLoader = new Map(oldScene, playerChars);		
			var tempString = "../Levels/Level" + ENGINE.currentScene.curLevel + ".json";
			mapLoader.loadMap(tempString);
			
			const SHADOW_MAP_WIDTH = 2048;
			const SHADOW_MAP_HEIGHT = 2048;
			
			var angle =  Math.PI * 0.25;
			var intensity = .1;
			var shadowCameraFov = 50;

			light1 = new THREE.DirectionalLight( 0xffffff, intensity);

			light1.position.set( 10, 10, 10 );
			light1.target.position.set( 0, 0, 0 );
			ENGINE.currentScene.scene.add( light1.target );

			light1.castShadow = true;

			light1.shadowCameraNear = 0.1;
			light1.shadowCameraFar = camera.far;
			light1.shadowCameraFov = shadowCameraFov;

			light1.shadowBias = 0.005;
			light1.shadowDarkness = 0.75;

			light1.shadowMapWidth = SHADOW_MAP_WIDTH;
			light1.shadowMapHeight = SHADOW_MAP_HEIGHT;

			ENGINE.currentScene.scene.add( light1 );
			
			players = ENGINE.currentScene.findByTag("player");
			//console.log("L: " + players.length);
			for(var i = 0; i < players.length; i++)
			{
				players[i].components["playerChar"] = playerChars[i];
				console.log("H: " + players[i].components["playerChar"].health);
			}
		}
		else
		{
			players = ENGINE.currentScene.findByTag("player");
			//ENGINE.currentScene = new ENGINE.Scene();
			//console.log("L: " + players.length);
			//Audio.ready = false;
			for(var i = 0; i < players.length; i++)
			{
				players[i].components["playerChar"] = playerChars[i];
				//if (ENGINE.currentScene.curLevel > 3)
				players[i].components["playerChar"].won = true;
				//console.log("H: " + players[i].components["playerChar"].health);
			}
		}
	};

	
	
	
	this.destroy = function() {
		this.gameObject.removeComponent(this.type);
		this.gameObject.parent.remove(this.gameObject);	
	};
}