var floorspike = function(){

	this.timer = 3;
	this.animating = true;
	this.damaging = true;
	this.type = "floorspike";
	
	/*
	Initiates the movement component to be added to an Object 3D
	*/
	this.init = function()
	{
	
	}
	
	this.update = function(gameTime) {
	
		this.timer -= gameTime.deltaTime();
		if (this.timer < 0)
		{
			this.damaging = !this.damaging;
			this.timer = 3;
			
			if(this.damaging)
			{
				this.gameObject.position.y = 1
			}
			else
				this.gameObject.position.y = -0.5;
			
			/*if(this.gameObject.getComponent("ANIMATOR_CP"))
			{
				if (timer < -5 && this.gameObject.getComponent("ANIMATOR_CP").nowPlaying == 'walk_cycle') 
				{
					this.gameObject.getComponent("ANIMATOR_CP").stopAnimation();
					this.timer = 5;
				} 
				else 
				{
					this.gameObject.getComponent("ANIMATOR_CP").playAnimation('walk_cycle');
					if(this.gameObject.getComponent("collider") != null)
					{
						if(this.gameObject.getComponent("collider").colliding == true)
						{
							var collider = this.gameObject.getComponent("collider");
							for(var i = 0; i < collider.contacts.length; i++)
							{
								var character = contact.otherCollider.gameObject.getComponent(this.hitType);
								character.takeDamage(this.damage);
							}
						}
					}
				}
			}
			
			*/
		}
		if(this.damaging)
		{
			if(this.gameObject.getComponent("collider") != null)
			{
				if(this.gameObject.getComponent("collider").colliding == true)
				{
					//console.log("colliding");
					var collider = this.gameObject.getComponent("collider");
					for(var i = 0; i < collider.contacts.length; i++)
					{
						var contact = collider.contacts[i];
						
						if(contact.otherCollider.gameObject.getComponent("playerChar"))
						{
							console.log("colliding with player " + this.timer);
							var ch = contact.otherCollider.gameObject.getComponent("playerChar");
							ch.takeDamage(2);
							ch.healthCheck();
							//this.timer = 20;
							break;
						}
					}
				}
			}
		
		}
		else
			this.gameObject.position.y = -0.5;

	
	}
	
}