//define: Score, Health, Speed
//Eventually: Armor, Inventory (Keys Potions), Strength, Magic

//draw health to screen & decrement over time

//draw player 1 score to screen

//draw player 2 score to screen

//update score when bullet hits something

//update score when chest open

var playerChar = function(pClass, color){
	this.type = "playerChar";
	this.playerClass; 
	this.score;
	this.speed;
	this.strength;
	this.baseSpeed = 6;	
	this.health; 
	this.delta = 0;
	this.alive;
	this.won = false;
	
	this.purgatoryIndex = -1;//just in case I need it
	
	this.newChar = 0;
	
	//Inventory stats
	this.credits; //Only used in Arcade mode
	this.gold;
	this.keys;
	this.potions;
	this.itemMax = 12;
	
	//class dependent stats
	this.armor;
	this.strength;//melee strength
	this.shotStrength;
	this.shotFireRate;
	this.magic;
	this.pClassNum;
	this.color = color; //color  red,yellow,green,blue
	
	//this.oldScore;
	this.init = function(){
		
	
		//set stats: SPEED HEALTH ARMOR STRENGTH MAGIC		
		
		if(this.newChar == 0)
		{
			this.newChar = 1;
		
			this.score = 0;
			
			this.alive = true;
			
			this.health = 700;	

			this.gold = 0;
			this.keys = 0;
			this.potions = 5;		
			
			//set player class
			switch(pClass){
				case 0:
					this.playerClass = "Warrior";
					this.speed = this.baseSpeed * 1.2;
					this.gameObject.getComponent("playerMovement").speed = this.speed;	
					this.strength = 3;
					this.shotStrength = 2;
					this.shotFireRate = 1;
					this.armor = 2;
					this.magic = 1;
					this.pClassNum = 0;
					break;
				case 1:
					this.playerClass = "Valkyrie";
					this.speed =  this.baseSpeed * 1;
					this.gameObject.getComponent("playerMovement").speed = this.speed;
					this.strength = 2;
					this.shotStrength = 1;
					this.shotFireRate = 1;
					this.armor = 3;
					this.magic = 2;
					this.pClassNum = 1;
					break;
				case 2:
					this.playerClass = "Wizard";
					this.speed =  this.baseSpeed * 1.3;
					this.gameObject.getComponent("playerMovement").speed = this.speed;
					this.strength = 1;
					this.shotStrength = 3;
					this.shotFireRate = 1;
					this.armor = 0;
					this.magic = 3;
					this.pClassNum = 2;
					break;
				case 3:
					this.playerClass = "Ranger";
					this.speed =  this.baseSpeed * 1.5;
					this.gameObject.getComponent("playerMovement").speed = this.speed;
					this.strength = 2;
					this.shotStrength = 2;
					this.shotFireRate = .5;
					this.armor = 1;
					this.magic = 2;
					this.pClassNum = 3;
					break;
				
			}	

		}		
	};	
	
	this.update = function(gameTime) {
		//hacked counter because gametime is not playing nicely.
		this.delta++;
		
		//console.log(ENGINE.currentScene.mainCamera.getComponent("CAMERTRACKER_CP").bottom_left.x+" "+ENGINE.currentScene.mainCamera.getComponent("CAMERTRACKER_CP").bottom_left.z);
		
		if(this.health <= 0 && this.alive){
			this.kill();
		}
		else if(this.health <=75)
		{
			//Play low health
			Audio.PlaySound(Audio.LevelSoundEnums[Audio.currentLevel-1].HEALTH_LOW);
		}
		
		if(ENGINE.Input.state("H")){
			this.addHealth(700);
		}	
		
		if(ENGINE.Input.state("kill") && this.playerClass == "Warrior"){
			this.takeDamage(700);
		}	
		
		if(this.delta > 40){			
			this.health--;		
			this.delta = 0;
			
		}
	};
	
	var timeOut;
	
	//function / case taking damage (lose health)
	this.takeDamage = function(dmg){
		this.health -= dmg; 
		
		//console.log(this.playerClass + " : " + this.health);	
		
		//Call on hit audioPlayer event if audio is on
		var audioPlayer = this.gameObject.components.AudioPlayer;
		
		if(audioPlayer!=null)
		{
			if(audioPlayer.ready)
			{
				audioPlayer.onhit(null);
				
				if(this.health <= 150 && this.health >= 75)//play CLASS_NAME needs food
				{
					//Audio.PlaySound(Audio.LevelSoundEnums[Audio.currentLevel-1].ALERT);
				
					switch(this.pClassNum)
					{
						case 0:
							Audio.PlaySound(Audio.LevelSoundEnums[Audio.currentLevel-1].WARRIOR);
							break;
						case 1:
							Audio.PlaySound(Audio.LevelSoundEnums[Audio.currentLevel-1].VALKYRIE);
							break;
						case 2:
							Audio.PlaySound(Audio.LevelSoundEnums[Audio.currentLevel-1].WIZARD);
							break;
						case 3:
							Audio.PlaySound(Audio.LevelSoundEnums[Audio.currentLevel-1].ELF);
							break;
					}
					
					
					timeout = setTimeout(DelayFoodSndPlay,750); //play the food sound 750 ms later
				}
			}
		}
	}
	
	var DelayFoodSndPlay = function()
	{
		Audio.PlaySound(Audio.LevelSoundEnums[Audio.currentLevel-1].NEED_FOOD);
		clearTimeout(timeout);
	}
	
	
	this.addScore = function(scr){
		this.score += scr;
		//console.log(this.health);
	}
	
	this.addHealth = function(hlh){		
		this.health += hlh;
		//console.log(this.health);
	}
			
	//function / case picking up item (possibly score & inventory & health)
	//function / case for killing something (score)
	
	this.getHealth = function(){
		return this.health;
	}
	
	this.healthCheck = function(){
		//console.log(this.health);
	}
	
	this.kill = function(){
		
		this.gameObject.components.creatureAnimation.playDie(function()
		{
			//Call kill audioPlayer event if audio is on
			var audioPlayer = this.gameObject.components.AudioPlayer;
			
			if(audioPlayer!=null)
			{
				if(audioPlayer.ready)
				{
					audioPlayer.onmisc(Audio.LevelSoundEnums[Audio.currentLevel-1].DIE);
				}
			}
		
			console.log("The " + this.playerClass + " is dead.");
			this.alive = false;
			this.destroy();
		});
		
	}
	
	this.potionActivated = function(mult){//multiplier since this method is called when a potion is shot as well which leads to a weaker effect){
		
		if (this.potions>0)
		{
			console.log("Potion used");
			var top_left = ENGINE.currentScene.mainCamera.getComponent("CAMERTRACKER_CP").top_left;
			var bottom_right = ENGINE.currentScene.mainCamera.getComponent("CAMERTRACKER_CP").bottom_right;
					
			var magic = new THREE.Mesh(new THREE.CubeGeometry(bottom_right.x-top_left.x,2,bottom_right.z-top_left.z), new THREE.MeshPhongMaterial({ambient: 0xcccccc, color: 0x000fff, wireframe:true}));
			magic.position = new THREE.Vector3(top_left.x+(bottom_right.x-top_left.x)/2,2,top_left.z+(bottom_right.z-top_left.z)/2);		
			magic.addComponent(new collider("rectangle",(bottom_right.z-top_left.z)/2,bottom_right.x-top_left.x,2,bottom_right.z-top_left.z, new Array("playerChar")));
			magic.addComponent(new RigidBody());
			magic.addComponent(new MagicObj(this.gameObject, Math.max(1,Math.floor(this.magic/mult))));
			
			var light = ENGINE.LightPool.GetNewLight(LIGHT_TYPES.POINT);
			if(light!=null){
				light.color = new THREE.Color(0xFF0000);
				light.position.x = 0;
				light.position.y = 3;
				light.position.z = 0;
				light.name =  "Magic light";
				light.intensity = 0.9;
				light.distance = 30;
				magic.add(light);
			}
			this.gameObject.parent.add(magic);
		
			this.potions--;
		}
	}
	
	this.destroy = function() {		
		//var collide = this.gameObject.getComponent("collider");
		//collide.destroy();		
		
		this.gameObject.removeComponent(this.type);	
		
		//Delete player from LookAt array of the camera so that other players can still move around
		ENGINE.currentScene.mainCamera.getComponent("CAMERTRACKER_CP").removeLookAt(this.gameObject);
			
		this.gameObject.parent.remove(this.gameObject);	
	};
}